package com.jeesite.modules.yinet.service;

import java.util.List;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeesite.common.entity.Page;
import com.jeesite.common.service.CrudService;
import com.jeesite.modules.yinet.entity.YinetMessageType;
import com.jeesite.modules.yinet.dao.YinetMessageTypeDao;
import com.jeesite.modules.file.utils.FileUploadUtils;

/**
 * 消息类型Service
 * @author xqx
 * @version 2022-06-18
 */
@Service
@Transactional(readOnly=true)
public class YinetMessageTypeService extends CrudService<YinetMessageTypeDao, YinetMessageType> {
	
	/**
	 * 获取单条数据
	 * @param yinetMessageType
	 * @return
	 */
	@Override
	public YinetMessageType get(YinetMessageType yinetMessageType) {
		return super.get(yinetMessageType);
	}
	
	/**
	 * 查询分页数据
	 * @param yinetMessageType 查询条件
	 * @param yinetMessageType.page 分页对象
	 * @return
	 */
	@Override
	public Page<YinetMessageType> findPage(YinetMessageType yinetMessageType) {
		return super.findPage(yinetMessageType);
	}
	
	/**
	 * 查询列表数据
	 * @param yinetMessageType
	 * @return
	 */
	@Override
	public List<YinetMessageType> findList(YinetMessageType yinetMessageType) {
		return super.findList(yinetMessageType);
	}
	
	/**
	 * 保存数据（插入或更新）
	 * @param yinetMessageType
	 */
	@Override
	@Transactional(readOnly=false)
	public void save(YinetMessageType yinetMessageType) {
		super.save(yinetMessageType);
		// 保存上传图片
		FileUploadUtils.saveFileUpload(yinetMessageType, yinetMessageType.getId(), "yinetMessageType_image");
	}
	
	/**
	 * 更新状态
	 * @param yinetMessageType
	 */
	@Override
	@Transactional(readOnly=false)
	public void updateStatus(YinetMessageType yinetMessageType) {
		super.updateStatus(yinetMessageType);
	}
	
	/**
	 * 删除数据
	 * @param yinetMessageType
	 */
	@Override
	@Transactional(readOnly=false)
	public void delete(YinetMessageType yinetMessageType) {
		super.delete(yinetMessageType);
	}
	
}
